List project sessions
/v1/sessionsReturns a newest-first, cursor-paginated page. Runtime API-key authentication implies the project. Session ID and display_label filters are exact; search is a case-insensitive display-label substring; creation time uses an inclusive lower bound and exclusive upper bound.
Authorization
apiKey In: header
Query Parameters
Maximum items to return. Defaults to 50.
1 <= value <= 10050Opaque signed cursor returned by the preceding page. It is scoped to the authenticated project, collection, session, filters, and order.
length <= 2048Exact normalized session display label.
length <= 128Case-insensitive substring match on the normalized session display label.
length <= 128Exact canonical session ID.
^sess_[0-9a-f]{16}([0-9a-f]{16})?$Inclusive session creation-time lower bound.
date-timeExclusive session creation-time upper bound.
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
{ "items": [ { "id": "string", "cdp_url": "http://example.com", "status": "active", "display_label": "string", "close_reason": "normal", "attachable": true, "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "closed_at": "2019-08-24T14:15:22Z", "head_checkpoint_id": "string", "origin_checkpoint_id": "string", "parent": { "session_id": "string", "checkpoint_id": "string", "operation_id": "string", "created_at": "2019-08-24T14:15:22Z" } } ], "next_cursor": "string"}